import 'package:freezed_annotation/freezed_annotation.dart';

part 'home_request_model.freezed.dart';
part 'home_request_model.g.dart';

@freezed
abstract class HomeRequestModel with _$HomeRequestModel {
  const factory HomeRequestModel({required String id}) = _HomeRequestModel;

  factory HomeRequestModel.fromJson(Map<String, Object?> json) =>
      _$HomeRequestModelFromJson(json);
}
